<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "dmndfrm.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$increvouch = $_REQUEST["increvouch"];
$operator = $_REQUEST["soperator"];

if($increvouch > 0){
    $vouch = "increvouch" ;
}else{
    $vouch = "vouchno" ;
}

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.$vouch = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`custcode` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND c.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND d.`name` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.$vouch LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`custcode` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND c.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND d.`name` LIKE '%$searchTerm%'";
    }
}


$sortcond = "ORDER BY a.$vouch";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.$vouch";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`custcode`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY c.`name`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY d.`name`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT a.increvouch, a.vouchno, a.custcode, a.accode, a.medmcode,a.examcode,
          b.accode, b.name as school, c.code, c.name as medium, d.code, d.name as exam
          FROM `demdmain` a, accmast b, medium c, exam d WHERE  a.accode = b.accode AND 
          a.medmcode = c.code AND a.examcode = d.code $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
 $increvouch = $r['increvouch'];
    
    if($increvouch > 0){
        $vouchno = $r['increvouch'];
    }else{
        $vouchno = $r['vouchno'];
    }
  
    
    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchno' => $vouchno,
        'custcode' => $r['custcode'],
        'name' => $r['school'],
        'medmname' => $r['medium'],
        'examname' => $r['exam'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
